Merchant API v2
Overview
General
General Information
Generate a signature
Deposits
Getting started
Create a deposit
Create a deposit without redirection (iframe)
Deposit notification (webhook)
Check an deposit status
Get a list of deposits
Deposits without 8-day waiting period (Steam Trade Protection)
Deposit approval with 8-day hold
Get failed webhook notifications
Deposits without SkinsBack UI
Create a deposit without SkinsBack UI (API)
Get user's inventory
Skins Withdraw
Skins price list
Skins search
Buy skin
Bulk buy skins
Get skin purchase info
Skin purchase history
Cancel skin purchase
Other
Get the project balance
Get the history of withdrawals and deposits of money
Get currencies and rates
Server status
Events real-time: websockets
Events real-time: webhooks
Skins price list (availability of skins)
The method returns a list of available skins that can be withdrawn.
The required parameters are highlighted in blue.
Send a POST request to API Endpoint with the following parameters:
method
string
market_pricelist
game
string
'cs2', 'dota2', 'rust'
full
bool
By default, a list of things grouped by name is returned, which contains the available quantity for withdraw. If you specify full=1, the full list will be returned without grouping with identifiers of items. It is recommended to use grouped.
extended
bool
By default, a short fields set is returned in items array. If you specify extended=1, a full fields set of items well be returned (only in combination with full=1).
Attention! The file size can be very large and to process it, use libraries for efficient JSON parsing (for example, json-machine for PHP).
Attention! The file size can be very large and to process it, use libraries for efficient JSON parsing (for example, json-machine for PHP).
Response from the server:
If successful, a JSON object with the following contents will be sent in response:
The price list includes Instant and Slow skins. With full=1, each item contains delivery_type (1 = Instant, 2 = Slow).
last_update
int
Last update of price list (UNIX time)
items
array
An array containing a list of available skins
'items' structure
name
string
Skin name
price
float
Skin price in USD
classid
string
Class ID of skin
count
int
Available count
Full 'items' structure (full=1)
id
string
Skin ID
name
string
Skin name
price
float
Skin price in USD
classid
string
Class ID of skin
delivery_type
int
Delivery type: 1 = Instant, 2 = Slow
Extended 'items' structure (full=1, extended=1)
paint_index
int / null
Paint Index of the skin (can be null)
paint_seed
int / null
Paint Seed of the skin (can be null)
assetid
string / null
Steam asset ID of the skin (can be null)
source_id
int
Skin source ID
stickers
array
Item stickers, charms, and patches (CS2 only)
Sticker item structure
name
string
Name with type prefix (Sticker | ..., Charm | ..., Patch | ...)
img
string
Image URL
wear
float / null
Wear value (can be null)
slot
int / null
Slot (can be null)
Successful response example:
{
"status": "success",
"last_update": "1596621504",
"items": [
{
"name": "M4A1-S | Golden Coil (Battle-Scarred)",
"price": "831.16",
"count": 1
},
{
"name": "SSG 08 | Fever Dream (Field-Tested)",
"price": "77.02",
"count": 2
},
{
"name": "Operator | FBI SWAT",
"price": "77.76",
"count": 1
}
]
}
Successful response example (extended mode)
The example below shows a response with full=1 and extended=1.
{
"status": "success",
"last_update": "1596621504",
"items": [
{
"id": "771502",
"name": "M4A1-S | Golden Coil (Battle-Scarred)",
"price": "831.16",
"classid": "3020283907",
"delivery_type": 1,
"paint_index": 426,
"paint_seed": 661,
"assetid": "41234567890",
"source_id": 1,
"stickers": [
{
"name": "Sticker | FaZe Clan (Gold) | Shanghai 2024",
"img": "https://cdn.steamstatic.com/apps/730/icons/econ/stickers/rmr2020/faze_gold.png",
"wear": 0,
"slot": 0
},
{
"name": "Charm | Die-cast AK",
"img": "https://cdn.steamstatic.com/apps/730/icons/econ/keychains/weapon_1/kc_wpn_ak_jelly.png",
"wear": 0,
"slot": null
}
]
},
{
"id": "771503",
"name": "Operator | FBI SWAT",
"price": "77.76",
"classid": "4699526876",
"delivery_type": 2,
"paint_index": null,
"paint_seed": null,
"assetid": "41234567891",
"source_id": 2,
"stickers": [
{
"name": "Patch | Howl Patch",
"img": "https://cdn.steamstatic.com/apps/730/icons/econ/patches/howl.png",
"wear": 0,
"slot": null
}
]
},
{
"id": "771504",
"name": "SSG 08 | Fever Dream (Field-Tested)",
"price": "77.02",
"classid": "3770669160",
"delivery_type": 1,
"paint_index": 844,
"paint_seed": 412,
"assetid": "41234567892",
"source_id": 1,
"stickers": []
}
]
}
List of possible errors:
1
file_unavailable
File temporary unavailable
-6
market_disabled
Market is off
standard errors:
-1
please_use_post_method
Need to use the POST method
-2
invalid_shopid
Project Client ID not found in the system
-3
invalid_signature
Invalid signature
-4
shop_not_active
Project inactive
-5
invalid_method
Invalid API method
-7
request_limit_reached
API requests limit reached (500/per minute)
-8
invalid_ip_address
Specify IP address in merchant panel
-9
under_maintenance
Site under maintenance
-10
invalid_client_secret
Invalid X-CLIENT-SECRET header